package dev.fyloz.plannervio.core.service

import dev.fyloz.plannervio.core.repository.IBoardRepository
import dev.fyloz.plannervio.core.model.Board
import org.kodein.di.DI
import org.kodein.di.instance

class BoardService(di: DI) : IBoardService {
    override val repository: IBoardRepository by di.instance()

    override fun getBoards(): List<Board> {
        return repository.findAll()
    }

}
